from fso_metadata.format_request import json_request, sdmx_request, csv_request

# Root URL constants
BASE_URL = 'https://www.i14y.admin.ch'
DCAT_URL = 'https://dcat.app.cfap02.atlantica.admin.ch'


# Map the appropriate function based on the output type
REQUEST_FUNCTION_MAPPING = {
    'JSON': json_request,
    'SDMX-JSON': json_request,
    'SDMX-ML': sdmx_request,
    'CSV': csv_request
}